summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaciej Żenczykowski <maze@google.com>2019-03-22 17:36:15 -0700
committerMaciej Żenczykowski <maze@google.com>2019-03-22 19:00:56 -0700
commitde51b099012cf2dd45b459cedfba99378aaa6976 (patch)
tree12701e12bdc5eb29f3ccf1bef8a4358d51e9eee4
parent03aa0a663f2083bc9c1a011c7b9fc88065f74049 (diff)
downloadtests-de51b099012cf2dd45b459cedfba99378aaa6976.tar.gz
net_test: introduce build_all_rootfs.sh
Bug: 126465735 Signed-off-by: Maciej Żenczykowski <maze@google.com> Change-Id: I64cf43e0522515a915d8e6b95fc73e50518683a4
-rwxr-xr-xnet/test/build_all_rootfs.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/net/test/build_all_rootfs.sh b/net/test/build_all_rootfs.sh
new file mode 100755
index 0000000..98a4918
--- /dev/null
+++ b/net/test/build_all_rootfs.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# Copyright (C) 2019 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+
+for s in wheezy stretch; do
+ for a in i386 amd64 armhf arm64; do
+
+ # Debian wheezy does not support arm64 architecture
+ [[ "${s}-${a}" != "wheezy-arm64" ]] || continue
+
+ ./build_rootfs.sh -s "${s}" -a "${a}"
+ done
+done
+
+echo 'All rootfs builds completed.'